/* -------------------------------------------------- */
/* CUSTOM CSS par Clément ROIG, clm.roig[at]gmail.com */
/* -------------------------------------------------- */

/* 
	Vert foncé : 	rgba(30, 95, 32, 1)
	Violet "SLV" : 	rgba(170, 50, 144, 1)
*/

/* ==== */
/* PAGE */
/* ==== */
body {
  	border-top: none !important;
}

body.site {
    padding: 0;
}

.container-fluid {
  	background-color: white;
	padding: 0;
}

.row-fluid {
  	box-sizing: border-box;
  	padding: 0 20px;
}

/* ======= */
/* POLICES */
/* ======= */
h1, h2, h3, h4, h5, h6, .site-title {
  color: rgba(170, 50, 144,1);
  font-family: "Roboto", Helvetica, Arial, sans-serif;
  text-transform: uppercase;
}

p, a, dd, li {
  font-size: 1.1rem;
  line-height: 1.5rem;
}


li:not(:last-child) {
  margin-bottom: 9px;
}

.menu li {
  margin-bottom: initial;
}

div[itemprop="articleBody"] p, div[itemprop="articleBody"] li {
   	text-align: justify;
}

a {
  color: rgba(30, 95, 32,1) !important;
}

a:hover, a:focus {
  color: rgba(30, 95, 32, 0.7) !important;
  text-decoration: none;
  transition: 0.3s;
}

dd {
  line-height: 24px;
}

/* ====== */
/* HEADER */
/* ====== */
.header {
  background-image: url('/images/fonds/fond_artichauts.JPG');
  background-size: cover;
  box-sizing: border-box;
  margin: 0;
  padding: 20px;
}

.brand {
  margin: 0 20px;
}

.header-search {
  margin-top: 5px;
}

.site-title {
  font-size: calc(25px + 2.16vw);
  color: white;
  text-shadow: rgba(170, 50, 144, 1) 1px 1px, rgba(170, 50, 144, 1) -1px 1px, rgba(170, 50, 144, 1) -1px -1px, rgba(170, 50, 144, 1) 1px -1px;
}

.site-description {
  color: #eee;
  font-size: 2em;
  margin: 10px;
}

/* ==== */
/* MENU */
/* ==== */
.nav-list > .active > a, .nav-list > .active > a:hover, .dropdown-menu li > a:hover, .dropdown-menu .active > a, .dropdown-menu .active > a:hover, .nav-pills > .active > a, .nav-pills > .active > a:hover, .btn-primary {
  background-color: rgba(30, 95, 32,0.7) !important;
  color: rgba(255,255,255,1) !important;
}

.navigation .nav-child li > a:hover, .navigation .nav-child li > a:focus, 
.navigation .nav-child:hover > a {
  background: rgba(30, 95, 32,0.7) !important;
  color: rgba(255,255,255,1) !important;
}

.nav-collapse .nav > li > a {
  border-radius: 0;
  letter-spacing: 1px;

}

.nav-pills > li > a {
  margin: 0;
  padding: 20px;
}

.nav > li > a:hover, .nav > li > a:focus, .nav-collapse .nav > li > a:hover, .nav-collapse .nav > li > a:focus {
  background-color: rgba(30, 95, 32,0.7);
  color: #fff !important;
}

.navigation .nav li {
  font-size: 1.25em;
}

.navigation {
  border-top: none; 
  border-bottom: 2px solid #333;
  padding: 0;
}

.navbar {
  margin: 0.5rem;
}

.navbar .btn-navbar {
  background: #618e62;
  margin: 0;
}

.navbar .btn-navbar:hover {
  background: #77a278;
}

/* ================ */
/* CORPS et CONTENU */
/* ================ */
li {
  line-height: 1.3em;
}

.form-horizontal .control-label {
  width: 200px;
}

.form-horizontal .controls {
  margin-left: 220px;
}

div[itemprop="articleBody"]{
  padding: 1rem 4rem;
}

/* ============== */
/* BLOCS LATÉRAUX */
/* ============== */
.well {
  background: #fff;
  box-shadow: 0 1px 2px #000;
}

/* ====== */
/* FOOTER */
/* ====== */
footer .container-fluid {  
  background-image: url('/images/fonds/fond_canigou.JPG');
  background-size: cover;
  box-sizing: border-box;
  height: 200px;
  padding: 20px;
}

.logo-course-artichaut {
  border: 2px solid white;
  border-radius: 50%;
  max-width: 200px;
  text-align: center;
  width: 20%;
}


/* ------------- */
/* MEDIA QUERIES */
/* ------------- */

/* Formulaire de contact */
@media screen and (max-width: 500px) { 
  .form-horizontal .control-label {
    width: 100px;
  }
  
  .form-horizontal .controls {
    margin-left: 120px;
  }
}

@media screen and (max-width: 420px) {
  .form-horizontal .control-label {
    width: 80px;
  }
  
  .form-horizontal .controls {
    margin-left: 100px;
  }
} 

/* Date de la course header */
@media screen and (max-width: 500px) {
  .site-description {
    font-size: 1.4em;
  }
}

/* Article body */
@media screen and (max-width: 500px) {
	div[itemprop="articleBody"]{
  	padding: 0.2rem 0.4rem;
	}
}

/* Gestion des images de fonds */
@media screen and (min-width: 1000px) {
  .header {
    background-image: url('/images/fonds/fond_artichauts_hq.JPG');
  }
  
  footer .container-fluid {
    background-image: url('/images/fonds/fond_canigou_hq.JPG');
  }
}

@media screen and (max-width: 800px) {
  .header {
    background-position-x: 30%;
  }
}